getan! PHP Update! ~ Juli 2020

Hallo、Es ist munejyuka。

私が現在使っているのはワードプレスなのですがもう半年以上前からダッシュボードで

”PHPの更新をしてください”

の表示がありました

本気で更新しようと思ってから約2ヶ月ようやく更新が出来たので歓喜の雄叫びをあげたいと思います!

PHP Compatibility checkerでチェックはしたものの…

更新してくださいと言われたのでサーバーの方をPHP7.4.2へ更新してログインしたら重大なエラーがと出てしまい迷宮入り

それで少し調べてみるとPHP Compatibility checkerというプラグインで今自分が使っているテーマやプラグインがPHP7.4.2に対応しているかどうかをチェックしてくれるものがありました
実際にそれを使って調べてみることにしました

導入後チェックして問題ありませんと出たので再度PHP7.4.2にしてログインしようと思うとまた重大なエラーが…と同じ症状になってしまいまいした

サーバー側でPHP7.2.26というものもあったのでそれでしてみても同じでしたああどうしよう…

 

どうにもこうにもならず時間だけが過ぎていったのですがある日ふとPHP Compatibility checkerのスキャン結果の詳細をポチってみるとなんとそこには容量が大きいためスキャンをスキップしていますの文字が…

なんじゃそりゃ!

Das stimmt。全然スキャン出来ていなかったのですああぁぁぁ…

そこでプラグインを1つずつ無効化してPHP7.4.2の更新が出来るかどうか確認していきました

すると

2つのプラグインがPHP7.4.2に対応しておらず有効化した時にPHP7.4.2に更新が出来ませんでした

その2つのプラグインは削除しても特に問題がなかったため削除しました
ようやっとです

 

更新したからって特に変わりはないように思うのですがスッキリしました!

スキャンをスキップしているとは全く思ってもおらず正直びっくりしました

プラグインも古いものだと非対応なんだなぁって改めて勉強になりましたこの機会に使っているプラグインを見直し出来てよかったです結果論ですが

従来設定されていたPHPは5.6.40でしたずいぶん更新してなかったのでしょう

出来たからといって特にいまのところは何も変わりないように思うのですがそのうち実感できることでしょうたぶん

同じような症状で悩んでおられる方の一助になれば幸いです

また心機一転楽しんでいきたいと思います

Hinterlasse eine Antwort

Deine Email-Adresse wird nicht veröffentlicht. erforderliche Felder sind markiert *

Diese Seite nutzt Akismet Spam zu reduzieren. Erfahren Sie, wie Sie Ihren Kommentar Daten verarbeitet.